*------------------------------------------------------------------------*
*   This file includes all the user provided averaged amplitude squared  *
*   In this case for the decay                                           *
*                                                                        *
*    H -> e vebar WP                                                     *
*                                                                        *
*   Author: Jorge C. Romao                                               *
*   Date: 04.02.2022                                                     *
*   Email: jorge.romao@tecnico.ulisboa.pt                                *
*------------------------------------------------------------------------*
      real*8 function Msq(M0,m1,m2,m3,P0q1,P0q2,P0q3,q1q2,q1q3,q2q3,
     &     m12,P0P0,q1q1,q2q2,q3q3)
      implicit none
      real*8 M0,m1,m2,m3,P0q1,P0q2,P0q3,q1q2,q1q3,q2q3,
     &     m12,P0P0,q1q1,q2q2,q3q3
      real*8 sw
      real*8 mw,mz,gw,gz,sw2,ee,GF,pi

      common/data/mw,mz,gw,gz,sw2,ee,GF,pi

      sw=sqrt(sw2)

      Msq= (ee/sw)**4*(q1q2+ 2d0*q1q3*q2q3/MW**2)*
     &     MW**2/((M0**2-2d0*P0q3)**2+MW**2*GW**2)

      
        return
        end
